#!/bin/bash
#
# Script per seleccionar on s'inicia el Trivial Freezer
#

# Determinar quin inici es troba aplicat.
. /etc/tfreezer.conf
INICI=""

case "$STARTUP" in
        "0")
                INICI="Sense inici automàtic"
        ;;
        "1")
                INICI="Inici de sistema"
        ;;
        "2")
                INICI="Tancament del sistema"
        ;;
        "3")
                INICI="Inici de sessió"
esac


################ OLD ####################
#if [ -f /usr/share/lightdm/lightdm.conf.d/59-tfreezer.conf ] ; then
#	INICI="Inici de sessió"
#fi
#
#if [ -f /lib/systemd/system/tfreezer-shutdown.service ] ; then
#	INICI="Tancament del sistema"
#fi 
#
#egrep tfreezer /etc/rc.local > /dev/null 2>&1
#if [ $? = 0 ] ; then
#	INICI="Inici de sistema"
#fi
#
#if [ "$INICI" == "" ] ; then
#        INICI="Sense inici automàtic"
#fi
################ OLD ####################


# Informar de l'inici actual i preguntar que es vol fer.
zenity --question --title "Teniu aplicat $INICI" --text "Ara mateix teniu aplicat $INICI.\n\nVoleu modificar aquesta configuració?"
if [ ! $? = 0 ] ; then
	zenity --warning --text "Programa tancat per l'usuari"
	exit 1
fi

# Preguntar quin inici es vol configurar.
	res=""
	res=$(zenity --list --title "Inici del Trivial Freezer" --text "On vols iniciar el Trivial Freezer?" --radiolist  --column "Seleccionar" --column "opcions" FALSE "Inici de sistema" FALSE "Tancament del sistema" FALSE "Inici de sessió" FALSE "Sense inici automàtic")

case "$res" in
	"Inici de sistema")
		/usr/share/tfreezer/sense-inici.sh
		/usr/share/tfreezer/inici-sistema.sh
		zenity --info --title "Trivial Freezer - Inici de sistema" --text "El Trivial Freezer s'iniciarà automàticament a l'inici de sistema."
		sed -i 's/STARTUP=.*/STARTUP=1/g' /etc/tfreezer.conf
		;;	
	"Inici de sessió")
		/usr/share/tfreezer/sense-inici.sh
		/usr/share/tfreezer/inici-sessio.sh
		zenity --info --title "Trivial Freezer - Inici de sessió" --text "El Trivial Freezer s'iniciarà automàticament a l'inici de sessió."
		sed -i 's/STARTUP=.*/STARTUP=3/g' /etc/tfreezer.conf
		;;
 	"Sense inici automàtic")
        	/usr/share/tfreezer/sense-inici.sh
		zenity --info --title "Trivial Freezer - Sense inici" --text "El Trivial Freezer no s'iniciarà automàticament."
		sed -i 's/STARTUP=.*/STARTUP=0/g' /etc/tfreezer.conf
		;;

	"Tancament del sistema")
		/usr/share/tfreezer/sense-inici.sh
		/usr/share/tfreezer/tancament-sistema.sh
		zenity --info --title "Trivial Freezer - Tancament sistema" --text "El Trivial Freezer s'iniciarà automàticament al tancament del sistema."
                sed -i 's/STARTUP=.*/STARTUP=2/g' /etc/tfreezer.conf
		;;
	*)
		zenity --warning --text "Programa tancat per l'usuari"
		exit 1
esac
